Bug 137809 - gedit chrashes on certain save/open commands in combination with multiple open files/no open files
gedit chrashes on certain save/open commands in combination with multiple ope...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-01 13:03 EST by Kyrre Ness Sjøbæk
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:24:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
stack trace (13.09 KB, text/plain)
2004-11-15 13:36 EST, Eric Lawrence
no flags Details

  None (edit)
Description Kyrre Ness Sjøbæk 2004-11-01 13:03:29 EST
Description of problem:
If you do any of the following on my fc2 laptop, gedit it will
instantly chrash, producing the gnome "this application has chrashed"
error message

Version-Release number of selected component (if applicable):
2.6.0

How reproducible:
Every time

Steps to Reproduce:
I)

1.start gedit
2.close the current document (control+w)
3.open a new document (control+o)
4. crash

II)
1. start gedit
2. open an existing document
3. create a new document in a new tab(control+n)
4. try to open or save (control+o/control+s)
  
Actual results:
chrash. Loosing data in buffers.

Expected results:
...

Additional info:
I am only seeing this on my laptop. Desktop computer behaves normally.
No output to terminal. Laptop fully "up2date" as of 1. of november.
Comment 1 Marco Pesenti Gritti 2004-11-08 13:15:03 EST
This is not reproducable. We will need a stack trace to be able to do
something about it.

See http://fedora.linux.duke.edu/wiki/index.cgi/StackTraces on how to
get a stack trace.
Comment 2 Eric Lawrence 2004-11-15 13:36:04 EST
This is 100% reproducible for me (FC2) with the following steps:

launch gedit
click open file icon
double click on subdirectory of home directory (important)
open a text file
click new file icon
go back to first file's tab
click open icon
crash

will attach stacktrace shortly...
Comment 3 Eric Lawrence 2004-11-15 13:36:47 EST
Created attachment 106734 [details]
stack trace
Comment 4 Kyrre Ness Sjøbæk 2004-11-15 13:50:40 EST
Eric: I was just going to get that trace, but haven't had to much time
lately... (or - i haven't spent it rigth)

But if you also see it, i will now reinstall my laptop to FC3, knowing
that the bug will still be reproducible.
Comment 5 Eric Lawrence 2004-11-15 14:35:04 EST
(unfortunately I don't have root on this machine so I can't try a
debug build or newer version.  Kyrre, maybe you can see if you can
reproduce it with 2.8?)

After further testing, the key problem seems to be that the file is in
 a subdirectory of the pwd.  For example, if I run these commands and
click the Open icon I get the following results:

cd ; gedit /home/lawrence/tp_plots.pro  (no crash)

cd ; gedit /home/lawrence/columnsize/tp_plots.pro (crash)

cd ~/columnsize ; gedit /home/lawrence/columnsize/tp_plots.pro (no crash)

cd /etc ; gedit /home/lawrence/columnsize/tp_plots.pro (no crash)

The problem seems to be limited to the same filesystem.  For example,

cd / ; gedit /home/lawrence/columnsize/tp_plots.pro
cd / ; gedit /home/lawrence/tp_plots.pro
cd /home ; gedit /home/lawrence/tp_plots.pro

all work, but /home/lawrence is an nfs mount.  But, the following will
crash

cd / ; gedit /etc/fstab
Comment 6 Kyrre Ness Sjøbæk 2004-11-15 15:03:58 EST
I have root, and may try a debug build (if anybody can please tell me
where to find it - i am no master of rpm's murky corners...). Will not
attempt an reinstal (fc2 out and fc3 in) *at least* before wednesday.

Will it chrash imediatly? Or only when you play with tabs?

My laptop (usually) only use ext3 mounts - exept to mount the homedir
of my "big" machine for filesharing in my home LAN.

BTW. will you also try the same with "kate"? I have a vague memory of
it also chrashing when trying to open more than one file...
Comment 7 Eric Lawrence 2004-11-15 15:16:58 EST
You can download the gedit debuginfo rpm from

ftp://download.fedora.redhat.com/pub/fedora/linux/core/2/i386/debug/

but you may want to use a local mirror instead of redhat.com as it
seems slow today.  

If I open a bad file from the command line, it crashes as soon as I
hit the open icon.  No need to make a new tab.

I can't get kate to crash.

Are the files that you're opening on that NFS mount?  I wonder if it's
 an nfs-related problem.
Comment 8 Kyrre Ness Sjøbæk 2004-11-15 16:54:06 EST
No, they are in /home/kyrre/notater/ - which is an EXT3 mount. No
sensitive data there (which means i might post them) - its just my
history/norwegian/religion (shool) -notes.

Ill attach a stack trace as soon as that debuginfo RPM is downloaded -
it might take a while as i am on a dialup link.
Comment 9 Kyrre Ness Sjøbæk 2004-11-15 17:07:05 EST
Starting program: /usr/bin/gedit
[Thread debugging using libthread_db enabled]
[New Thread -151141728 (LWP 3088)]
[New Thread 26971056 (LWP 3091)]
[New Thread 3120048 (LWP 3092)]
 
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -151141728 (LWP 3088)]
0x036b0449 in gtk_file_system_module_get_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
(gdb) thread apply all bt
 
Thread 3 (Thread 3120048 (LWP 3092)):
#0  0x00b147a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00bda09b in __read_nocancel () from /lib/tls/libc.so.6
#2  0x00b889d8 in _IO_file_read_internal () from /lib/tls/libc.so.6
#3  0x00b87cee in _IO_new_file_underflow () from /lib/tls/libc.so.6
#4  0x00b8a46d in _IO_default_uflow_internal () from /lib/tls/libc.so.6
#5  0x00b8a103 in __uflow () from /lib/tls/libc.so.6
#6  0x00b7ef1a in _IO_getline_info_internal () from /lib/tls/libc.so.6
#7  0x00b7ee11 in _IO_getline_internal () from /lib/tls/libc.so.6
#8  0x00b7dd4b in fgets () from /lib/tls/libc.so.6
#9  0x00546d0b in _gnome_vfs_xdg_glob_read_from_file ()
   from /usr/lib/libgnomevfs-2.so.0
#10 0x00545f9c in _gnome_vfs_xdg_magic_read_from_file ()
   from /usr/lib/libgnomevfs-2.so.0
#11 0x005460e3 in _gnome_vfs_xdg_magic_read_from_file ()
   from /usr/lib/libgnomevfs-2.so.0
#12 0x00546359 in _gnome_vfs_xdg_get_mime_type_from_file_name ()
   from /usr/lib/libgnomevfs-2.so.0
#13 0x0052c126 in gnome_vfs_mime_type_from_name_or_default ()
   from /usr/lib/libgnomevfs-2.so.0
#14 0x0052c4e3 in _gnome_vfs_get_mime_type_internal ()
   from /usr/lib/libgnomevfs-2.so.0
---Type <return> to continue, or q <return> to quit---
#15 0x0052c792 in gnome_vfs_get_mime_type_common ()
   from /usr/lib/libgnomevfs-2.so.0
#16 0x0052c887 in gnome_vfs_get_file_mime_type_fast ()
   from /usr/lib/libgnomevfs-2.so.0
#17 0x0028fc71 in ?? () from /usr/lib/gnome-vfs-2.0/modules/libfile.so
#18 0x0a2a2000 in ?? ()
#19 0x002f9910 in ?? ()
#20 0x002f98e8 in ?? ()
#21 0x001bb72e in g_strdup () from /usr/lib/libglib-2.0.so.0
#22 0x002901f4 in ?? () from /usr/lib/gnome-vfs-2.0/modules/libfile.so
#23 0x0a29f9c8 in ?? ()
#24 0x0a2a2000 in ?? ()
#25 0x00000009 in ?? ()
#26 0x002f9910 in ?? ()
#27 0x00c43ffc in ?? () from /lib/tls/libc.so.6
#28 0x00c45780 in __after_morecore_hook () from /lib/tls/libc.so.6
#29 0x002f9910 in ?? ()
#30 0x0a2a0ee0 in ?? ()
#31 0x00000302 in ?? ()
#32 0x00000000 in ?? ()
 
Thread 2 (Thread 26971056 (LWP 3091)):
#0  0x00b147a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
---Type <return> to continue, or q <return> to quit---
#1  0x00bdea27 in poll () from /lib/tls/libc.so.6
#2  0x001a8156 in g_main_loop_get_context () from
/usr/lib/libglib-2.0.so.0
#3  0x001a7590 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#4  0x001a7c53 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#5  0x004e2cd2 in link_thread_io_context () from /usr/lib/libORBit-2.so.0
#6  0x001c11bd in g_static_private_free () from /usr/lib/libglib-2.0.so.0
#7  0x00d7f98c in start_thread () from /lib/tls/libpthread.so.0
#8  0x00be816a in clone () from /lib/tls/libc.so.6
 
Thread 1 (Thread -151141728 (LWP 3088)):
#0  0x036b0449 in gtk_file_system_module_get_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
#1  0x036a0cf2 in shortcuts_model_filter_get_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
#2  0x037b6063 in gtk_tree_model_sort_new_with_model ()
   from /usr/lib/libgtk-x11-2.0.so.0
#3  0x037b6273 in gtk_tree_model_sort_new_with_model ()
   from /usr/lib/libgtk-x11-2.0.so.0
#4  0x037b396b in gtk_tree_model_sort_new_with_model ()
   from /usr/lib/libgtk-x11-2.0.so.0
#5  0x036f0b65 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
#6  0x00230160 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#7  0x00244165 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#8  0x00243127 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#9  0x00243424 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#10 0x037acb49 in gtk_tree_model_row_inserted ()
   from /usr/lib/libgtk-x11-2.0.so.0
#11 0x036b143e in gtk_file_system_module_get_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
#12 0x0024528e in g_cclosure_marshal_VOID__POINTER ()
   from /usr/lib/libgobject-2.0.so.0
#13 0x00230160 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#14 0x00244165 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#15 0x00243127 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#16 0x00243514 in g_signal_emit_by_name () from
/usr/lib/libgobject-2.0.so.0
#17 0x002b496a in gtk_file_system_gnome_vfs_new ()
   from /usr/lib/gtk-2.0/2.4.0/filesystems/libgnome-vfs.so
#18 0x036ad2a1 in gtk_file_system_get_folder ()
   from /usr/lib/libgtk-x11-2.0.so.0
#19 0x036aff01 in gtk_file_system_module_get_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
#20 0x036a1140 in shortcuts_model_filter_get_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
#21 0x036a158e in shortcuts_model_filter_get_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#22 0x03696390 in gtk_file_chooser_get_current_folder_uri ()
   from /usr/lib/libgtk-x11-2.0.so.0
#23 0x036a49e5 in shortcuts_model_filter_get_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
#24 0x03696390 in gtk_file_chooser_get_current_folder_uri ()
   from /usr/lib/libgtk-x11-2.0.so.0
#25 0x036a49e5 in shortcuts_model_filter_get_type ()
   from /usr/lib/libgtk-x11-2.0.so.0
#26 0x03696390 in gtk_file_chooser_get_current_folder_uri ()
   from /usr/lib/libgtk-x11-2.0.so.0
#27 0x036961ae in gtk_file_chooser_set_current_folder_uri ()
   from /usr/lib/libgtk-x11-2.0.so.0
#28 0x080825d3 in create_gtk_selector (parent=0xa01b49c,
    mode=FILESEL_OPEN_MULTI, title=0x0,
    default_path=0xa17dd58 "file:////home/kyrre/notater",
    default_filename=0x0, use_encoding=1, encoding=0x0)
    at gedit-file-selector-util.c:422
#29 0x080827f4 in run_file_selector (parent=0xfeecf3e0, enable_vfs=0,
    mode=FILESEL_OPEN_MULTI, title=0xfeecf3e0 " ���0a*\n�C�\t\034�%",
    default_path=0xfeecf3e0 " ���0a*\n�C�\t\034�%",
    default_filename=0xfeecf3e0 " ���0a*\n�C�\t\034�%",
encoding=0xfeed0008)
    at gedit-file-selector-util.c:449
#30 0x08082a20 in gedit_file_selector_open_multi (parent=0xfeecf3e0,
---Type <return> to continue, or q <return> to quit---
    enable_vfs=-18025504, title=0xf6dd91fd "�\205pne fil ...",
    default_path=0xfeecf3e0 " ���0a*\n�C�\t\034�%", encoding=0xfeecf3e0)
    at gedit-file-selector-util.c:537
#31 0x080752ce in gedit_file_open (active_child=0x9e74b60) at
gedit-file.c:216
#32 0x0230ea4a in bonobo_socket_add_id () from /usr/lib/libbonoboui-2.so.0
#33 0x00230160 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#34 0x006277b3 in bonobo_closure_invoke_va_list ()
   from /usr/lib/libbonobo-2.so.0
#35 0x00627a38 in bonobo_closure_invoke () from /usr/lib/libbonobo-2.so.0
#36 0xfeed01e0 in ?? ()
#37 0xfeed023c in ?? ()
#38 0x00000000 in ?? ()

Sorry about not creating an attachment, but i have little time, and
gedit wouln't play nice ;)

It was my "crasher #1" - start gedit, close tab and hit open.
Comment 10 Marco Pesenti Gritti 2004-11-16 09:34:34 EST
Eric/Kyrre what are your gedit, gnome-vfs and gtk+ versions ?
Comment 11 Eric Lawrence 2004-11-16 11:25:55 EST
gedit-2.6.0-4

gnome-vfs-1.0.5-18
gnome-vfs2-2.6.0-8

gtk+-1.2.10-29.1.1
gtk2-2.4.13-2.1
Comment 12 Kyrre Ness Sjøbæk 2004-11-16 14:55:58 EST
gedit-2.6.0-4
gedit-debuginfo-2.6.0-4

gnome-vfs2-smb-2.6.0-8
gnome-vfs-extras-0.2.0-8.1
gnome-vfs-1.0.5-18
gnome-vfs-devel-1.0.5-18
gnome-vfs2-2.6.0-8
gnome-vfs2-devel-2.6.0-8

gtk+-devel-1.2.10-29.1.1
gtk+-1.2.10-29.1.1
Comment 13 Kyrre Ness Sjøbæk 2004-11-16 16:59:40 EST
However i have another machine on which gedit is working perfect...
Comment 14 Eric Lawrence 2004-11-21 01:04:59 EST
fwiw, this seems to be fixed in FC3. (gedit 2.81)
Comment 15 Matthew Miller 2005-04-26 11:14:31 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 16 Ray Strode [halfline] 2005-05-11 17:24:20 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.